Endpoints

Range Vectors

Ranges over vectors starting(inclusive) from a cursor until the end of the vectors in the or given limit.

By default vectors from the default namespace will be iterated. You can use a different namespace by specifying it in the request path.

Request

cursorbodystringrequired

The offset to the last retrieved vector. Should be set to "0" in the initial range.

prefixbodystring

Prefix of the vector ids to range over.

limitbodynumberrequired

The number of maximum vectors that you want in the response of range. (page size)

includeMetadatabodybooleandefault: false

Whether to include the metadata of the vectors in the response, if any. It is recommended to set this to true to easily identify vectors.

includeVectorsbodybooleandefault: false

Whether to include the vector values in the response. It is recommended to set this to false as the vector values can be quite big, and not needed most of the time.

includeDatabodybooleandefault: false

Whether to include the data of the vectors in the response, if any.

Path

namespacepathstringdefault:

The namespace to use. When no namespace is specified, the default namespace will be used.

Response

nextCursorstringrequired

The offset for the next range. You should place this in the cursor field for the next range. It will be equal to empty string if there are no other vectors to range.

vectorsObject[]required
curl
curl $UPSTASH_VECTOR_REST_URL/range \  -H "Authorization: Bearer $UPSTASH_VECTOR_REST_TOKEN" \  -d '{ "cursor": "0", "limit": 2, "includeMetadata": true }'
curl (Namespace)
curl $UPSTASH_VECTOR_REST_URL/range/ns \  -H "Authorization: Bearer $UPSTASH_VECTOR_REST_TOKEN" \  -d '{ "cursor": "0", "limit": 2, "includeMetadata": true }'
200 OK
{    "result": {        "nextCursor": "2",        "vectors": [            {                "id": "id-0",                "metadata": {                    "link": "upstash.com"                }            },            {                "id": "id-1"            }        ]    }}
Loading search…